CVE-2016-2788

Published on: 02/13/2017 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:27:14 PM UTC

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Certain versions of Marionette Collective from Puppet contain the following vulnerability:

MCollective 2.7.0 and 2.8.x before 2.8.9, as used in Puppet Enterprise, allows remote attackers to execute arbitrary code via vectors related to the mco ping command.

  • CVE-2016-2788 has been assigned by [email protected] to track the vulnerability - currently rated as - currently rated as CRITICAL severity.

CVSS3 Score: 9.8 - CRITICAL

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 7.5 - HIGH

Access
Vector
Access
Complexity
Authentication
NETWORK LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL PARTIAL PARTIAL

CVE References

Description Tags Link
CVE-2016-2788 - Improper validation of fields in MCollective pings | Puppet Vendor Advisory
puppet.com
text/html
URL Logo CONFIRM puppet.com/security/cve/cve-2016-2788

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationPuppetMarionette Collective2.7.0AllAllAll
ApplicationPuppetMarionette Collective2.8.0AllAllAll
ApplicationPuppetMarionette Collective2.8.1AllAllAll
ApplicationPuppetMarionette Collective2.8.2AllAllAll
ApplicationPuppetMarionette Collective2.8.3AllAllAll
ApplicationPuppetMarionette Collective2.8.4AllAllAll
ApplicationPuppetMarionette Collective2.8.5AllAllAll
ApplicationPuppetMarionette Collective2.8.6AllAllAll
ApplicationPuppetMarionette Collective2.8.7AllAllAll
ApplicationPuppetMarionette Collective2.8.8AllAllAll
ApplicationPuppetMarionette Collective2.7.0AllAllAll
ApplicationPuppetMarionette Collective2.8.0AllAllAll
ApplicationPuppetMarionette Collective2.8.1AllAllAll
ApplicationPuppetMarionette Collective2.8.2AllAllAll
ApplicationPuppetMarionette Collective2.8.3AllAllAll
ApplicationPuppetMarionette Collective2.8.4AllAllAll
ApplicationPuppetMarionette Collective2.8.5AllAllAll
ApplicationPuppetMarionette Collective2.8.6AllAllAll
ApplicationPuppetMarionette Collective2.8.7AllAllAll
ApplicationPuppetMarionette Collective2.8.8AllAllAll
ApplicationPuppetPuppetAllAllAllAll
ApplicationPuppetPuppetAllAllAllAll
  • cpe:2.3:a:puppet:marionette_collective:2.7.0:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.0:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.1:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.2:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.3:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.4:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.5:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.6:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.7:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.8:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.7.0:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.0:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.1:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.2:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.3:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.4:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.5:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.6:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.7:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:marionette_collective:2.8.8:*:*:*:*:*:*:*:
  • cpe:2.3:a:puppet:puppet:*:*:*:*:enterprise:*:*:*:
  • cpe:2.3:a:puppet:puppet:*:*:*:*:enterprise:*:*:*: